light-mode-image
Learn
API ReferenceJSON

Update a presentation template

Roles

adminverifier

Analytics Events

PRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_STARTPRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_SUCCESSPRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_FAIL
PUT/v2/credentials/web-semantic/presentations/templates/{id}

Updates an existing presentation template by its ID.

Analytic events

  • PRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_START
  • PRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_SUCCESS
  • PRESENTATION_WEB_SEMANTIC_TEMPLATE_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Presentation template ID

Request Body

application/json

Response Body

application/json

curl -X PUT "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/presentations/templates/string" \  -H "Content-Type: application/json" \  -d '{    "domain": "string",    "name": "string",    "query": [      {        "type": "QueryByExample",        "credentialQuery": [          {            "required": true,            "example": [              {                "@context": [                  null                ],                "type": "AlumniCredential",                "trustedIssuer": [                  {                    "required": true,                    "issuer": "string"                  }                ]              }            ]          }        ]      }    ]  }'
{
  "id": "64e45290-9980-11ea-b872-f1bee5fb328f",
  "domain": "tenant.vii.mattr.global",
  "name": "alumni_credential_request",
  "query": [
    {
      "type": "QueryByExample",
      "credentialQuery": [
        {
          "required": true,
          "reason": "string",
          "example": [
            {
              "@context": [
                null
              ],
              "type": "AlumniCredential",
              "trustedIssuer": [
                {
                  "required": true,
                  "issuer": "string"
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}

How would you rate this page?